VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "Comdlg32.ocx"
Begin VB.Form Form1 
   Caption         =   "Add Leading Zero Converter"
   ClientHeight    =   3135
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   7050
   Icon            =   "Find and replace text di vb6_with format_v6.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3135
   ScaleWidth      =   7050
   StartUpPosition =   3  'Windows Default
   WindowState     =   2  'Maximized
   Begin VB.Frame Frame1 
      BorderStyle     =   0  'None
      Height          =   1155
      Left            =   480
      TabIndex        =   2
      Top             =   1440
      Width           =   6255
      Begin VB.CommandButton CMDunix2dos 
         Caption         =   "Format text"
         Height          =   495
         Left            =   300
         TabIndex        =   5
         Top             =   60
         Width           =   1215
      End
      Begin VB.CommandButton cmdProses 
         Caption         =   "Add Zeros"
         Height          =   495
         Left            =   1680
         TabIndex        =   3
         Top             =   60
         Width           =   1215
      End
      Begin VB.Label Label2 
         Alignment       =   2  'Center
         Caption         =   "Copyright @2010 BNI Transactional Banking Services"
         Height          =   255
         Left            =   600
         TabIndex        =   4
         Top             =   780
         Width           =   5055
      End
   End
   Begin VB.TextBox TextBox 
      Height          =   855
      Left            =   480
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   480
      Width           =   1515
   End
   Begin MSComDlg.CommonDialog CommonDialog 
      Left            =   0
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Add Leading Zero Converter"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   1920
      TabIndex        =   1
      Top             =   0
      Width           =   4575
   End
   Begin VB.Menu mnuFileTop 
      Caption         =   "&File"
      Begin VB.Menu mnuFile 
         Caption         =   "&Open"
         Index           =   1
      End
      Begin VB.Menu mnuFile 
         Caption         =   "&Save"
         Index           =   2
      End
      Begin VB.Menu mnuFile 
         Caption         =   "&Save As"
         Index           =   3
      End
      Begin VB.Menu mnuFile 
         Caption         =   "-"
         Index           =   4
      End
      Begin VB.Menu mnuFile 
         Caption         =   "&Exit"
         Index           =   5
      End
   End
   Begin VB.Menu mnuAboutTop 
      Caption         =   "&About"
      Begin VB.Menu mnuAbout 
         Caption         =   "&What is this Converter?"
         Index           =   0
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim TEXTCHANGED As Boolean

Private Sub Form_Load()
   TEXTCHANGED = False
End Sub

Private Sub Form_Unload(Cancel As Integer)
   If TEXTCHANGED Then Call Save_Security
End Sub

Private Sub Form_Resize()
   If Width < 7500 Then Width = 7500
   If Height < 6000 Then Height = 6000
   With TextBox
      .Width = Width - .Left - 600
      .Height = Height - 2400
      Frame1.Top = .Top + .Height
   End With
End Sub

Private Sub mnuFile_Click(Index As Integer)
Dim STRTEMP As String
   Select Case Index
   Case 1:     ' OPEN
      If TEXTCHANGED Then Call Save_Security
      TextBox.Text = ""
      With CommonDialog
         .Filter = "Text (.txt)|*.txt"
         .InitDir = "C:\My Documents"
         .DialogTitle = "Open a file..."
         .ShowOpen
         On Error GoTo Error_Open_File
         Open .FileName For Input As #1
            Do Until EOF(1)
            Input #1, STRTEMP
            TextBox.Text = TextBox.Text & STRTEMP
            Loop
         Close #1
         Caption = Left(Caption, 26) & ": " & .FileName
      End With
      TEXTCHANGED = False
   Case 2:     ' SAVE
      Call Save_File
   Case 3:     ' SAVE AS
      Call SaveAs_File
   Case 5:     ' EXIT
      Unload Me
   End Select
Exit Sub
Error_Open_File:
   Close #1
   MsgBox "There is an error opening the file"
End Sub

Private Sub TextBox_Change()
   TEXTCHANGED = True
End Sub

Private Sub CMDunix2dos_Click()
   TextBox.Text = Replace(TextBox.Text, vbLf, vbCrLf)
End Sub

Private Sub cmdProses_Click()
Dim ARRAYTEXT() As String
Dim ARRAYTEXTidx As Integer
   ARRAYTEXT = Split(TextBox.Text, vbCrLf)
   TextBox.Text = ""
   For ARRAYTEXTidx = LBound(ARRAYTEXT) To UBound(ARRAYTEXT) - 1
      If (Left(ARRAYTEXT(ARRAYTEXTidx), 4) = ":25:" Or _
            Left(ARRAYTEXT(ARRAYTEXTidx), 4) = ":28:") And _
            Len(Mid(ARRAYTEXT(ARRAYTEXTidx), 5)) < 10 Then
         TextBox.Text = TextBox.Text & Left(ARRAYTEXT(ARRAYTEXTidx), 4) & _
            Format(Mid(ARRAYTEXT(ARRAYTEXTidx), 5), "0000000000") & vbCrLf
      Else
         TextBox.Text = TextBox.Text & ARRAYTEXT(ARRAYTEXTidx) & vbCrLf
      End If
   Next
End Sub

' =======================================================================

Private Function Save_Security()
Dim Answer As Integer
   Answer = MsgBox("Changes made to the file you are currently working on will be lost." & vbCrLf & _
         "Do you wish to save this file before creating another?", vbYesNo, "Save your file?")
   If Answer = vbYes Then Call SaveAs_File
End Function

Private Function SaveAs_File()
   On Error GoTo Cancel_Function
   With CommonDialog
      .CancelError = True
      .Filter = "Text (.txt)|*.txt"
      .InitDir = "C:\My Documents"
      .DialogTitle = "Save your file..."
      .ShowSave
   End With
   Call Save_File
Exit Function
Cancel_Function:
End Function

Private Function Save_File()
   On Error GoTo Error_Save
   With CommonDialog
      Open .FileName For Output As #2
      Print #2, TextBox.Text
      Close #2
      Caption = Left(Caption, 26) & ": " & .FileName
      MsgBox "Your file has been saved as " & .FileName, , "File save confirmation"
   End With
   TEXTCHANGED = False
Exit Function
Error_Save:
   Close #2
   MsgBox "There is an error on saving the file !!"
End Function

